(*
 * Interpreter for F - Abstract Syntax
 *
 * 2000/02/02 Andreas Rossberg
 *)


structure Syntax =
  struct
    type con = int
    type id  = string

    datatype typ = Bool
		 | Int
		 | Arrow of typ * typ

    datatype exp = Con of con
		 | Id  of id
		 | If  of exp * exp * exp
		 | App of exp * exp
		 | Abs of id * typ * exp
  end
