(*
 * Interpreter for F - Types stuff
 *
 * 2000/02/02 Andreas Rossberg
 *)


structure Type :> Type =
  struct
    open Syntax

    type typ = Syntax.typ

    fun constant n = Int

    val arithTyp = Arrow(Int, Arrow(Int,Int))
    val compTyp  = Arrow(Int, Arrow(Int,Bool))

    val base = List.foldl (fn((x,t),T) => Env.insert(x,t,T)) Env.empty
		[("add",   arithTyp),
		 ("sub",   arithTyp),
		 ("mul",   arithTyp),
		 ("equal", compTyp),
		 ("less",  compTyp)]
  end
