(*
 * Interpreter for F - Values
 *
 * 2000/02/02 Andreas Rossberg
 *)


signature Value =
  sig
    type oper

    datatype value = Num  of int
		   | Op   of oper
		   | Proc of Syntax.id * Syntax.exp * value Env.env

    exception Error

    val constant: Syntax.con -> value
    val applyOp:  oper * value -> value		(* Error *)
    val base:     value Env.env
  end
